Subject: Re: Escalation procedure - IMP
From: kaeiara <[email-masked]>
To: subir chakma <[email-masked]>
Cc: akhil <[email-masked]>
Date: Sat, 14 Feb 2015 05:52:22 +0530 (IST)

I've been through with this trouble and I am totally aware of this case as cs leave negative feedback unfortunately. As you can see in our convo ive tried my best to assist cs by asking basic questions,verifying every single details. 2 things i found was the Billing information indicated in his Blx account does not matched with the CC details & aside from that might be browser issue as he was using Safari. During that time no same issues has been reported. Cs is very persistent and wants to release his goods immediately. I've advised him what needs to be done as i dont really have an idea what's the exact reason. FYI, while chatting with cs I've asked for assistance with Sir Akhil but since ive already provided all info to cs so I just forwarded the issue to check further and later on t'was confirmed its a gen payment issue. Sir Akhil already warned me regarding this case that next time I should have escalate to superior instead of me replying that's why I did not bother to reply as to be honest I am tired of explaining. 

But I'm kinda bother with this " Additionally, troubleshooting shud be simplied, not make it painful as it happened in the chat" . 
Can you please advise what made it painful? As you may know cs kept on insisting that his billing info is same with his card details that he used and there's an error in our system. But its actually not the same as I have managed to take a screen shot before he changed it. 

I admit i wasn't able to provide excellent assistance with this cs. But I assure you that I'll do my best not to create such issues in future. I would appreciate if you will share to me your best tips on how to handle such scenario. This might help in my future Journey. 

Thanks. 
Kae 

----- Original Message ----- 
From: "subir chakma" <[email-masked]> 
To: "Kaeiara Blythe R. Delfino" <[email-masked]> 
Sent: Friday, February 13, 2015 5:17:25 PM GMT +08:00 Beijing / Chongqing / Hong Kong / Urumqi 
Subject: Fwd: Escalation procedure - IMP 

No acknowledgement as yet. 

----- Forwarded Message ----- 
From: "subir chakma" <[email-masked]> 
Sent: Wednesday, February 11, 2015 11:32:38 AM GMT +05:30 Chennai, Kolkata, Mumbai, New Delhi 
Subject: Escalation procedure - IMP 

Hello, 

Ref- LTK1221602842227X (Kaeiara) 

After the chat, customer complaint to Attention to Manager thru an email. He was not happy with the assistance he received on the chat, and wanted the matter to be escalated to higher level. 

The agent tried to troubleshoot and escalated it properly. However, point of alert was when Cx emailed to manager complaining on the service received. Additionally, troubleshooting shud be simplied, not make it painful as it happened in the chat. 

Seeinig the complaint to manager, case should have gone straight to level 2. Instead, a casual 2 line email was sent to Cx, with no apology or acknowledgement of the complaint he made to higher level. 

We must know when to escalate an issue to next level. Some indications are- 

- Cx threatening to spread bad reviews about company on social forum like Facebook, Twitter etc... 

- Cx threatening to contact directly the CEO, Manager... 

- Cx threatening to stop using our services again... 

- Cx may not be complaining but he indeed received a bad service because of our fault and possibly will not come back to use the service...